// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#pragma once
#include "afxwin.h"
#include "scoretable.h"

// CTeams dialog

extern bool bIntroduction;

class CTeams : public CPropertyPage
{
	DECLARE_DYNAMIC(CTeams)

	class CTeamEntries{
	public:
		CComboBox m_tbutton;
		CEdit	  m_tname;
	};

public:
	CTeams();
	virtual ~CTeams();

// Dialog Data
	enum { IDD = IDD_TEAMS };

	CTeamEntries teamEntries[MAXTEAMS];


protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnKillActive();

	CFont m_editfont;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnEnKillfocusEdit();
	afx_msg void OnBnClickedButton1();
	CEdit editSeedCapital;
	afx_msg void OnEnChangeEdit9();
	afx_msg void OnEnKillfocusEdit9();
	afx_msg void OnCbnSelchangeCombo();
	virtual BOOL OnApply() {return FALSE;}
	CStatic m_seedlabel;
	CButton m_introductionbutton;
	afx_msg void OnBnClickedButtonintro();
	CStatic m_teamname;
	CStatic m_labelintro;
};
